package com.mortals.xhx.module.attendance.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceClassEntity;
/**
* 考勤班次信息查询对象
*
* @author zxfei
* @date 2023-04-08
*/
public class AttendanceClassQuery extends AttendanceClassEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 班次名称 */
    private List<String> classNameList;

    /** 班次名称排除列表 */
    private List <String> classNameNotList;
    /** 开始 班次负责人ID */
    private Long classResponsiblePersonIdStart;

    /** 结束 班次负责人ID */
    private Long classResponsiblePersonIdEnd;

    /** 增加 班次负责人ID */
    private Long classResponsiblePersonIdIncrement;

    /** 班次负责人ID列表 */
    private List <Long> classResponsiblePersonIdList;

    /** 班次负责人ID排除列表 */
    private List <Long> classResponsiblePersonIdNotList;

    /** 班次负责人名称 */
    private List<String> classResponsiblePersonNameList;

    /** 班次负责人名称排除列表 */
    private List <String> classResponsiblePersonNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceClassQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceClassQuery> andConditionList;

    public AttendanceClassQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 班次名称
    * @return classNameList
    */
    public List<String> getClassNameList(){
        return this.classNameList;
    }

    /**
    * 设置 班次名称
    * @param classNameList
    */
    public void setClassNameList(List<String> classNameList){
        this.classNameList = classNameList;
    }

    /**
    * 获取 班次名称
    * @return classNameNotList
    */
    public List<String> getClassNameNotList(){
        return this.classNameNotList;
    }

    /**
    * 设置 班次名称
    * @param classNameNotList
    */
    public void setClassNameNotList(List<String> classNameNotList){
        this.classNameNotList = classNameNotList;
    }

    /**
    * 获取 开始 班次负责人ID
    * @return classResponsiblePersonIdStart
    */
    public Long getClassResponsiblePersonIdStart(){
        return this.classResponsiblePersonIdStart;
    }

    /**
    * 设置 开始 班次负责人ID
    * @param classResponsiblePersonIdStart
    */
    public void setClassResponsiblePersonIdStart(Long classResponsiblePersonIdStart){
        this.classResponsiblePersonIdStart = classResponsiblePersonIdStart;
    }

    /**
    * 获取 结束 班次负责人ID
    * @return $classResponsiblePersonIdEnd
    */
    public Long getClassResponsiblePersonIdEnd(){
        return this.classResponsiblePersonIdEnd;
    }

    /**
    * 设置 结束 班次负责人ID
    * @param classResponsiblePersonIdEnd
    */
    public void setClassResponsiblePersonIdEnd(Long classResponsiblePersonIdEnd){
        this.classResponsiblePersonIdEnd = classResponsiblePersonIdEnd;
    }

    /**
    * 获取 增加 班次负责人ID
    * @return classResponsiblePersonIdIncrement
    */
    public Long getClassResponsiblePersonIdIncrement(){
        return this.classResponsiblePersonIdIncrement;
    }

    /**
    * 设置 增加 班次负责人ID
    * @param classResponsiblePersonIdIncrement
    */
    public void setClassResponsiblePersonIdIncrement(Long classResponsiblePersonIdIncrement){
        this.classResponsiblePersonIdIncrement = classResponsiblePersonIdIncrement;
    }

    /**
    * 获取 班次负责人ID
    * @return classResponsiblePersonIdList
    */
    public List<Long> getClassResponsiblePersonIdList(){
        return this.classResponsiblePersonIdList;
    }

    /**
    * 设置 班次负责人ID
    * @param classResponsiblePersonIdList
    */
    public void setClassResponsiblePersonIdList(List<Long> classResponsiblePersonIdList){
        this.classResponsiblePersonIdList = classResponsiblePersonIdList;
    }

    /**
    * 获取 班次负责人ID
    * @return classResponsiblePersonIdNotList
    */
    public List<Long> getClassResponsiblePersonIdNotList(){
        return this.classResponsiblePersonIdNotList;
    }

    /**
    * 设置 班次负责人ID
    * @param classResponsiblePersonIdNotList
    */
    public void setClassResponsiblePersonIdNotList(List<Long> classResponsiblePersonIdNotList){
        this.classResponsiblePersonIdNotList = classResponsiblePersonIdNotList;
    }


    /**
    * 获取 班次负责人名称
    * @return classResponsiblePersonNameList
    */
    public List<String> getClassResponsiblePersonNameList(){
        return this.classResponsiblePersonNameList;
    }

    /**
    * 设置 班次负责人名称
    * @param classResponsiblePersonNameList
    */
    public void setClassResponsiblePersonNameList(List<String> classResponsiblePersonNameList){
        this.classResponsiblePersonNameList = classResponsiblePersonNameList;
    }

    /**
    * 获取 班次负责人名称
    * @return classResponsiblePersonNameNotList
    */
    public List<String> getClassResponsiblePersonNameNotList(){
        return this.classResponsiblePersonNameNotList;
    }

    /**
    * 设置 班次负责人名称
    * @param classResponsiblePersonNameNotList
    */
    public void setClassResponsiblePersonNameNotList(List<String> classResponsiblePersonNameNotList){
        this.classResponsiblePersonNameNotList = classResponsiblePersonNameNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceClassQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceClassQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceClassQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceClassQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceClassQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceClassQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 班次名称
    * @param className
    */
    public AttendanceClassQuery className(String className){
        setClassName(className);
		return this;
    }

    /**
    * 设置 班次名称
    * @param classNameList
    */
    public AttendanceClassQuery classNameList(List<String> classNameList){
        this.classNameList = classNameList;
		return this;
    }

    /**
    * 设置  班次负责人ID
    * @param classResponsiblePersonId
    */
    public AttendanceClassQuery classResponsiblePersonId(Long classResponsiblePersonId){
	    setClassResponsiblePersonId(classResponsiblePersonId);
		return this;
    }
	
	 /**
    * 设置 开始 班次负责人ID
    * @param classResponsiblePersonIdStart
    */
    public AttendanceClassQuery classResponsiblePersonIdStart(Long classResponsiblePersonIdStart){
		this.classResponsiblePersonIdStart = classResponsiblePersonIdStart;
		return this;
    }

    /**
    * 设置 结束 班次负责人ID
    * @param classResponsiblePersonIdEnd
    */
    public AttendanceClassQuery classResponsiblePersonIdEnd(Long classResponsiblePersonIdEnd){
		this.classResponsiblePersonIdEnd = classResponsiblePersonIdEnd;
		return this;
    }

    /**
    * 设置 增加 班次负责人ID
    * @param classResponsiblePersonIdIncrement
    */
    public AttendanceClassQuery classResponsiblePersonIdIncrement(Long classResponsiblePersonIdIncrement){
		this.classResponsiblePersonIdIncrement = classResponsiblePersonIdIncrement;
		return this;
    }

    /**
    * 设置 班次负责人ID
    * @param classResponsiblePersonIdList
    */
    public AttendanceClassQuery classResponsiblePersonIdList(List<Long> classResponsiblePersonIdList){
        this.classResponsiblePersonIdList = classResponsiblePersonIdList;
		return this;
        }

        /**
        * 设置 班次负责人ID
        * @param classResponsiblePersonIdNotList
        */
        public AttendanceClassQuery classResponsiblePersonIdNotList(List<Long> classResponsiblePersonIdNotList){
        this.classResponsiblePersonIdNotList = classResponsiblePersonIdNotList;
        return this;
        }


	/**
    * 设置 班次负责人名称
    * @param classResponsiblePersonName
    */
    public AttendanceClassQuery classResponsiblePersonName(String classResponsiblePersonName){
        setClassResponsiblePersonName(classResponsiblePersonName);
		return this;
    }

    /**
    * 设置 班次负责人名称
    * @param classResponsiblePersonNameList
    */
    public AttendanceClassQuery classResponsiblePersonNameList(List<String> classResponsiblePersonNameList){
        this.classResponsiblePersonNameList = classResponsiblePersonNameList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceClassQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceClassQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceClassQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceClassQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceClassQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceClassQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceClassQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceClassQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceClassQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceClassQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceClassQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceClassQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceClassQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceClassQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceClassQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceClassQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceClassQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceClassQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}